Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class RestrictedIdentificationSDD

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.RestrictedIdentificationSDD

public class RestrictedIdentificationSDD extends Object

Java class for RestrictedIdentificationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RestrictedIdentificationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:swift:xsd:$pain.008.002.01}RestrictedSMNDACode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected RestrictedSMNDACode`
`id`

## Constructor Summary

Constructors
Constructor
Description
`RestrictedIdentificationSDD()`

## Method Summary

Modifier and Type
Method
Description
`RestrictedSMNDACode`
`getId()`
Gets the value of the id property.
`void`
`setId(RestrictedSMNDACode value)`
Sets the value of the id property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected RestrictedSMNDACode id

## Constructor Details

### RestrictedIdentificationSDD

public RestrictedIdentificationSDD()

## Method Details

### getId

public RestrictedSMNDACode getId()
Gets the value of the id property.

Returns:
  possible object is `RestrictedSMNDACode`

### setId

public void setId(RestrictedSMNDACode value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `RestrictedSMNDACode`